<div class="offcanvas_menu" th:fragment="copy">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="canvas_open">
                    <a href="javascript:void(0)"><i class="icon-menu"></i></a>
                </div>
                <div class="offcanvas_menu_wrapper">
                    <div class="canvas_close">
                        <a href="javascript:void(0)"><i class="icon-x"></i></a>
                    </div>
                    <div class="welcome_text">
                        <p th:if= "${usuario==null || usuario.autenticado==false}" th:text="#{pagina.principal.cabecera.bienvenido}"></p> 
                        <p th:if= "${usuario!=null && usuario.autenticado==true}" th:text="'Bienvenido ' + ${usuario.nombres}"></p>
                    </div>                    
                    <div class="top_right">
                        <ul>
                            <li class="currency">                            
                           		<a th:text="#{pagina.principal.cabecera.moneda.mexico}">
                           			<i class="fa fa-angle-down" aria-hidden="true"></i>
                           		</a>
                                <ul class="dropdown_currency">
                                    <li><a th:text="#{pagina.principal.cabecera.moneda.mexico}"></a></li>
                                </ul>
                            </li>
                            <li class="language">
                            	<a>
                            		<img src="assets/img/logo/language3.png" alt=""><i class="fa fa-angle-down" aria-hidden="true"></i>
                            	</a>
                                <ul class="dropdown_language">
                                    <li>
										<a><img th:src="@{/assets/img/logo/language3.png}" alt="" th:text="#{menu.espanol}"> </a>
									</li>
									<li>
										<a><img th:src="@{/assets/img/logo/language.png}" alt="" th:text="#{menu.ingles}"></a>
									</li>
                                </ul>
                            </li>
                        </ul>
                    </div>   
                    
                                                        
                    <div class="mini_cart_canvas" th:if= "${(carrito==null || carrito.productos==null || carrito.productos.size<=0) && (seccion!='cart' && seccion!='checkout')}">
                        <div class="mini_cart_wrapper">
                            <a href="javascript:void(0)"><span class="icon-shopping-cart"></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a>
                            <span class="cart_quantity">1</span>
                            <div class="mini_cart">
                                <div class="mini_cart_table">
                                    <div class="cart_total mt-10">
                                        <span th:text="#{menu.total}">total:</span>
                                        <span class="price">$ 0.00</span>
                                    </div>
                                </div>
                            </div>                            
                        </div>
                    </div>
                    <div class="mini_cart_canvas"  th:if= "${(carrito!=null && carrito.productos!=null && carrito.productos.size>0)}">
                        <div class="mini_cart_wrapper">
                            <a href="javascript:void(0)"><span class="icon-shopping-cart"></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a>
                            <span class="cart_quantity" th:text="${carrito.productos.size}"></span>
                            <div class="mini_cart" th:if= "${(seccion!='cart' && seccion!='checkout')}">
                                <div class="cart_item" th:each="producto : ${carrito.productos}">
                                    <div class="cart_img">
                                        <a><img src="assets/img/s-product/product.jpg" alt=""></a>
                                    </div>
                                    <div class="cart_info">
                                        <a th:text="${producto.nombre}"></a>
                                        <span class="price_cart" th:if="${(producto.listaCategoriaTermopar!=null && producto.listaCategoriaTermopar.size>0)}" th:text="#{menu.personalizado}">Personalizado</span>                                        
										<span class="quantity" th:text="#{menu.contactanos}+${producto.cantidad}"></span> 
										<span class="price_cart" th:text="'$' + ${producto.precioMenudeoFormato}+' '+#{menu.cu}"></span> 			
                                    </div>
                                    <div class="cart_remove">
                                        <a><i class="ion-android-close"></i></a>
                                    </div>
                                </div>                               
                                <div class="mini_cart_table">
                                    <div class="cart_total mt-10">
										<span th:text="#{menu.total}">Total:</span> 
										<span class="price" th:text="'$ '+${carrito.subtotal}"></span>
									</div>
                                </div>

                                <div class="mini_cart_footer">
                                    <div class="cart_button">
                                        <a th:href="@{/cart}" th:text="#{menu.verCarrito}">Ver carrito</a>
                                    </div>                                    
                                </div>
                            </div>                            
                        </div>
                    </div>
                                        
                    <div id="menu" class="text-left ">
                        <ul class="offcanvas_main_menu">
                            <li class="menu-item-has-children"><a th:href="@{/main}" th:text="#{menu.inicio}">Inicio</a></li>
                            <li class="menu-item-has-children"><a th:href="@{/about}" th:text="#{menu.quienesSomos}">¿Quienes somos?</a></li>
                            <li class="menu-item-has-children"><a th:href="@{/about}" th:text="#{menu.contactanos}">Contactanos</a></li>
                        </ul>
                    </div>
                    
                    <div class="offcanvas_footer">
                        <ul>
                            <li class="facebook"><a><i class="fa fa-facebook"></i></a></li>
                            <li class="twitter"><a><i class="fa fa-twitter"></i></a></li>
                            <li class="pinterest"><a><i class="fa fa-pinterest-p"></i></a></li>
                            <li class="google-plus"><a><i class="fa fa-google-plus"></i></a></li>
                            <li class="linkedin"><a><i class="fa fa-linkedin"></i></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
    

<header class="header_area" th:fragment="copy1">
	<div class="loader-page"><img class="img-fluid" alt="" style="width: 200px;"></div>
	
	<div class="header_middle" style="background: #0e284a; padding: 10px 0 20px;">
		<div class="container">
			<div class="row">
			    <div class="col-sm-2">
			    	<a th:href="@{/main}"><img th:src="@{/assets/img/img/JMILogo1.png}" alt=""></a>
			    </div>
			    <div class="col-sm-10">
			    	<div class="middel_right">
						<div class="search-container" style="width: 100%; margin-right: 0px;">						
							<form th:action="@{/listItem}" method="get">
								<div class="search_box" style="width: 100%;">								
									<input th:placeholder="#{menu.buscarProducto}" name="name" type="text" style="height: 35px; border:1px solid #fff;">
									<input name="product" type="hidden">
									<input name="subcategory" type="hidden">
									<input name="category" type="hidden">
									<input name="page" type="hidden">
									<button type="submit" style="background: #ff8b55;color: #ffffff;">
										<i class="icon-search"></i>
									</button>
								</div>
							</form>
						</div>					
					</div>
			    </div>	
			    		
			</div>
		</div>
	</div>
	<div class="header_bottom sticky-header" style="background: #0e284a;">
		<div class="container">
			<div class="row align-items-center">
				<div class="col-12">
					<div class="header_bottom_container header_position">
						<div class="main_menu">
							<nav>
								<ul>
								  <li><a th:href="@{/main}" th:text="#{menu.inicio}">Inicio</a></li>
								  <li><a th:href="@{/about}" th:text="#{menu.quienesSomos}">¿Quienes somos?</a></li>
								  <li><a th:href="@{/about#contact}" th:text="#{menu.contactanos}">Contactanos</a></li>																		
								  <li>
									  	 <a th:if="(${#locale.toString()}!='en_US')"><img style="margin-right: 8px; margin-bottom: 4px;" th:src="@{/assets/img/logo/language3.png}" th:utext="#{menu.espanol}+'&nbsp;<i class=\'fa fa-angle-down\'></i>'"></a>
									  	 <a th:if="(${#locale.toString()}=='en_US')"><img style="margin-right: 8px; margin-bottom: 4px;" th:src="@{/assets/img/logo/language.png}" th:utext="#{menu.ingles}+'&nbsp;<i class=\'fa fa-angle-down\'></i>'"></a>
                                         <ul class="sub_menu">
                                             <li>
                                             	<a th:href="@{/main(language='es_MX')}"><img th:src="@{/assets/img/logo/language3.png}" alt="" th:utext="'&nbsp;&nbsp;&nbsp;' + #{menu.espanol}"> </a>
                                             </li>
                                             <li>
                                             	<a th:href="@{/main(language='en_US')}"><img th:src="@{/assets/img/logo/language.png}" alt="" th:utext="'&nbsp;&nbsp;&nbsp;' + #{menu.ingles}"></a>
                                             </li>                                                
                                         </ul>
                                  </li>  
                                  <li><a><img style="margin-right: 8px; margin-bottom: 4px;" th:src="@{/assets/img/logo/language4.png}">$ (México-MXN)</i></a></li>  	
                                  <li th:if= "${usuario!=null && usuario.autenticado==true}">
                                  	  <a><img style="margin-right: 8px; margin-bottom: 4px;" th:src="@{/assets/img/img/userIcono.png}" th:utext="${usuario.nombres}+' '+${usuario.apellidos}+'&nbsp;<i class=\'fa fa-angle-down\'></i>'"></a>
                                  	  <ul class="sub_menu">
                                             <li>
                                             	<a th:href="@{/signOff}" th:text="#{menu.salir}">Salir</a>
                                             </li>                                                                                            
                                         </ul>                                  	
                                  </li>		
								</ul>
							</nav>							
						</div>
						
						<div class="mini_cart_wrapper text-right" th:if= "${(carrito==null || carrito.productos==null || carrito.productos.size<=0) && (seccion!='cart' && seccion!='checkout')}">
							<a href="javascript:void(0)"><span class="icon-shopping-cart"></span></a> 
							<span class="cart_quantity">0</span>														
							<div class="mini_cart">								
								<div class="mini_cart_table">
									<div class="cart_total mt-10">
										<span th:text="#{menu.total}">Total:</span> <span class="price">$ 0.00</span>
									</div>
								</div>								
							</div>							
						</div>																	
						<div class="mini_cart_wrapper text-right" th:if= "${(carrito!=null && carrito.productos!=null && carrito.productos.size>0)}">
							<a href="javascript:void(0)"><span class="icon-shopping-cart"></span></a>							 
							<span class="cart_quantity" th:text="${carrito.productos.size}"></span>														
							<div class="mini_cart" th:if= "${(seccion!='cart' && seccion!='checkout')}">									
								<div class="cart_item" th:each="producto : ${carrito.productos}">
									<div class="cart_img centerProductCar">
										<a>
											<img class="centerImageProductCar" th:if="${(producto!=null && producto.listaProductoImagen!=null && producto.listaProductoImagen.size>0)}" th:src="${producto.listaProductoImagen[0].url}"/>
                                    		<img class="centerImageProductCar" th:if="${(producto==null && producto.listaProductoImagen==null || producto.listaProductoImagen.size==0 || producto.listaProductoImagen[0].url==null)}" th:src="@{/assets/img/img/sinImagen.png}"/>																				
										</a>
									</div>
									<div class="cart_info">
										<a th:href="@{'/productDetails?product=' + ${producto.pkproducto} + '&category=&subcategory=&cart='+${productoStat.index}}" th:text="${producto.nombre}"></a>
										<span class="price_cart" th:if="${(producto.listaCategoriaTermopar!=null && producto.listaCategoriaTermopar.size>0)}" th:text="#{menu.personalizado}">Personalizado</span>  
										<span class="quantity" th:text="#{menu.cantidad}+${producto.cantidad}"></span> 
										<span class="price_cart" th:utext="'$' + ${producto.precioMenudeoFormato}+' '+#{menu.cu}"></span> 										
									</div>
									<form id="idFormRmoveProduct" th:action="@{/api/cart/removeProduct}">
										<div class="cart_remove">
											<a th:onclick="'removeProduct(' + ${productoStat.index} + ',1,' + ${producto.cantidad} + ');'">
												<i class="ion-android-close"></i>
											</a>
										</div>
									</form>
								</div>
													
								<div class="mini_cart_table">
									<div class="cart_total mt-10">
										<span th:text="#{menu.total}">Total:</span> 
										<span class="price" th:text="'$ '+${carrito.subtotal}"></span>
									</div>
								</div>
								<div class="mini_cart_footer">
									<div class="cart_button">
										<a th:href="@{/cart}" th:text="#{menu.verCarrito}">Ver carrito</a>
									</div>
								</div>
							</div>							
						</div>																																
					</div>
				</div>
			</div>
		</div>
	</div>	
</header>